# Encoding: utf-8
#
# Cookbook Name:: vim-go
# Recipe:: default
#
# Copyright 2015, Mist Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
default[:vim_go][:users_databag] = "users"
default[:vim_go][:install_vim] = true
default[:vim_go][:install_go_binaries] = false
default[:vim_go][:vimrc] = <<-EOF
set nocompatible
set t_Co=16
execute pathogen#infect()
filetype indent plugin on
syntax enable
set number
set mouse=a
let g:go_highlight_functions = 1
let g:go_highlight_methods = 1
let g:go_highlight_structs = 1
let g:go_fmt_command = "goimports"
au FileType go nmap <Leader>s <Plug>(go-implements)
au FileType go nmap <Leader>i <Plug>(go-info)
EOF
